const express = require('express');
const router = express.Router();
const authController = require('../controllers/authController');

// Route สำหรับ login page
router.get('/login', authController.login);

// Route สำหรับ register page
router.get('/register', authController.register);

// Route สำหรับ submit login
router.post('/loginSubmit', authController.loginSubmit);

// Route สำหรับ submit register
router.post('/registerSubmit', authController.registerSubmit);

router.post('/logout', (req, res) => {
    req.session.destroy((err) => {
      if (err) {
        return res.status(500).send("Logout failed");
      }
      res.redirect('/'); // Redirect to the home or login page after logout
    });
  });

  
module.exports = router;
